Installation

I have downloaded Saladin-0.5-winx_64.exe
Twice of sourceforge.
When I try to install Saladin I get the following error.
Saladin requires Windows Vista or newer.
In control panel under system. I am running
Windows 7 Professional
64-bit Operating System.

I have never struck this before. Any Suggestions.

Thanks Numbat